# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'elastic_util'

Gem::Specification.new do |spec|
  spec.name          = "elastic-util"
  spec.version       = ElasticUtil::VERSION
  spec.authors       = ["James Dickson"]
  spec.email         = ["dickson.james@gmail.com"]
  spec.summary       = "Provides backup and restore for ElasticSearch data"
  spec.description   = "ElasticUtil uses ElasticSearch's /_search and /_bulk APIs to dump and restore indices"
  #spec.homepage      = "http://www.elastic-util.com"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.6"
  spec.add_development_dependency "rake"
  # spec.add_dependency 'multi_json'
end
